Package com.evopdf

# Enum PdfStandardSubset

java.lang.Object
java.lang.Enum<PdfStandardSubset>
com.evopdf.PdfStandardSubset

All Implemented Interfaces:
  `Serializable`, `Comparable<PdfStandardSubset>`, `java.lang.constant.Constable`

public enum PdfStandardSubset extends Enum<PdfStandardSubset>
This enumeration represents the possible standards used by a PDF document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Full`
  `Pdf_A_1b`
  `Pdf_X_1a`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static PdfStandardSubset`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PdfStandardSubset[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Full

    public static final PdfStandardSubset Full

  - ### Pdf_A_1b

    public static final PdfStandardSubset Pdf_A_1b

  - ### Pdf_X_1a

    public static final PdfStandardSubset Pdf_X_1a

- ## Method Details

  - ### values

    public static PdfStandardSubset[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PdfStandardSubset valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()